# Interface CADatabaseQueriesLocationsType

All Superinterfaces:
  `CADatabaseQueriesType`

All Known Subinterfaces:
  `CADatabaseQueriesLocationsType.LocationAttachmentAddType`, `CADatabaseQueriesLocationsType.LocationAttachmentRemoveType`, `CADatabaseQueriesLocationsType.LocationDeleteMarkOnlyType`, `CADatabaseQueriesLocationsType.LocationDeleteType`, `CADatabaseQueriesLocationsType.LocationGetType`, `CADatabaseQueriesLocationsType.LocationListType`, `CADatabaseQueriesLocationsType.LocationMetadataPutType`, `CADatabaseQueriesLocationsType.LocationMetadataRemoveType`, `CADatabaseQueriesLocationsType.LocationPutType`, `CADatabaseQueriesLocationsType.LocationTypesAssignType`, `CADatabaseQueriesLocationsType.LocationTypesRevokeType`

All Known Implementing Classes:
  `CADBQLocationAttachmentAdd`, `CADBQLocationAttachmentRemove`, `CADBQLocationDelete`, `CADBQLocationDeleteMarkOnly`, `CADBQLocationGet`, `CADBQLocationList`, `CADBQLocationMetadataPut`, `CADBQLocationMetadataRemove`, `CADBQLocationPut`, `CADBQLocationTypesAssign`, `CADBQLocationTypesRevoke`

public sealed interface CADatabaseQueriesLocationsType extends CADatabaseQueriesType permits CADatabaseQueriesLocationsType.LocationPutType, CADatabaseQueriesLocationsType.LocationGetType, CADatabaseQueriesLocationsType.LocationDeleteType, CADatabaseQueriesLocationsType.LocationDeleteMarkOnlyType, CADatabaseQueriesLocationsType.LocationListType, CADatabaseQueriesLocationsType.LocationMetadataPutType, CADatabaseQueriesLocationsType.LocationMetadataRemoveType, CADatabaseQueriesLocationsType.LocationAttachmentAddType, CADatabaseQueriesLocationsType.LocationAttachmentRemoveType, CADatabaseQueriesLocationsType.LocationTypesAssignType, CADatabaseQueriesLocationsType.LocationTypesRevokeType
Model database queries (Locations).

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `CADatabaseQueriesLocationsType.LocationAttachmentAddType`
  Add an attachment to the given location.
  `static interface`
  `CADatabaseQueriesLocationsType.LocationAttachmentRemoveType`
  Remove an attachment from the given location.
  `static interface`
  `CADatabaseQueriesLocationsType.LocationDeleteMarkOnlyType`
  Mark the given locations as deleted/undeleted.
  `static interface`
  `CADatabaseQueriesLocationsType.LocationDeleteType`
  Delete the given locations.
  `static interface`
  `CADatabaseQueriesLocationsType.LocationGetType`
  Retrieve a location.
  `static interface`
  `CADatabaseQueriesLocationsType.LocationListType`
  List locations.
  `static interface`
  `CADatabaseQueriesLocationsType.LocationMetadataPutType`
  Add or update metadata on a location.
  `static interface`
  `CADatabaseQueriesLocationsType.LocationMetadataRemoveType`
  Remove metadata from a location.
  `static interface`
  `CADatabaseQueriesLocationsType.LocationPutType`
  Create or update the given location.
  `static interface`
  `CADatabaseQueriesLocationsType.LocationTypesAssignType`
  Assign types to the given location.
  `static interface`
  `CADatabaseQueriesLocationsType.LocationTypesRevokeType`
  Revoke types from the given location.

- ## Field Summary

  ### Fields inherited from interface com.io7m.cardant.database.api.CADatabaseQueriesType

  `EARLIEST`